Subject: Re: bug#62238: 30.0.50; Unusual interpretation of "S-expressions" in c-ts-mode

From: Yuan Fu <[email-masked]>
Date: Sat, 18 Mar 2023 14:34:03 -0700

> On Mar 18, 2023, at 3:31 AM, Kévin Le Gouguec <[email-masked]> wrote:
> 
> Yuan Fu <[email-masked]> writes:
> 
>> I tested this on my Emacs session and vanilla session, and both marked to the
>> closing bracket. I believe forward-sexp should just work by the syntax
>> table. Perhaps it’s your config or something?
> 
> FWIW, I tested this on
> 
> * the master branch (where Philip reported the bug): I can reproduce
>  Philip's results;
> 
>    2023-03-18 "; * lisp/find-dired.el (find-gnu-find-p): Doc fix."
>    (95d5154feed)
> 
> * emacs-29: things work as you (Yuan) describe.
> 
>    2023-03-18 "; Fix 'make-obsolete-variable' forms" (faee8d50738)
> 
> So maybe something that will get resolved by the next merge?  Or
> something that has been broken or master.

Duh, ok, I know what’s going on. Theo added some sexp related tree-sitter stuff to master, but I’ve been focusing on emacs-29. On emacs-29, c-ts-mode doesn’t redefine forward-sexp-function and the default function uses the syntax table, which works fine.

Yuan